Foreman - Bug #743

Modifiyng domain between smart-proxy managed and non-smart-proxy managed gives error

03/15/2011 03:04 PM - Arnaud Sourioux

Status: Closed
Priority: Normal
Assignee:

Category: Host creation
Target version: 1.1
Difficulty:

Triaged:

Bugzilla link:

Pull request:

Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

When i try to change the domain of my hosts from a non smart-proxy to a smart-proxy domain managed,
it gives an error : "Failed to delete the DNC Record : got no response from the DNS server"

that is normal because the domain isn't link to a smart-proxy DNS, but as it isn't managed the test shouldn't be done or block the

modification

when | try to inverse it, (from managed domain via smart-proxy to unmanaged domain) | have this error :

- Name is already taken
- Mac is already taken

History

#1 - 03/15/2011 04:02 PM - Ohad Levy

- Status changed from New to Feedback

that is odd.

if the host has no smart proxy (though the domain) then no dns related action should happen.

is there any more information you could provide to try and debug this?

#2 - 03/15/2011 04:09 PM - Arnaud Sourioux

the error message | wrote in the report is the one from the Web Ul

the smart proxy logs are saying approximately the same thing

i will try to reproduce this tomorrow to give you more informations

#3 - 06/28/2012 06:37 AM - Benjamin Papillon

Hello,

Any update on your issue? Do you still have the problem?

#4 - 11/15/2012 04:44 AM - Benjamin Papillon
- Status changed from Feedback to Closed

Hello,

Due to lack of update we are closing this bug.

Please, reopen it if you still have the problem with newer builds.

#5 - 11/15/2012 05:04 AM - Benjamin Papillon

- Target version set to Bug scrub
